<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKEditView2Base from './ibizbookedit-view2-base.vue';

import view_form from '@widgets/ibizbook/main-form/main-form.vue';
import view_drbar from '@widgets/ibizbook/default-drbar/default-drbar.vue';
@Component({
    components: {
        view_form, 
        view_drbar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKEditView2 extends IBIZBOOKEditView2Base {

}
</script>